[Lme4-commits] r1769 - pkg/lme4.0

noreply at r-forge.r-project.org noreply at r-forge.r-project.org
Thu Jun 21 21:35:22 CEST 2012


Author: mmaechler
Date: 2012-06-21 21:35:21 +0200 (Thu, 21 Jun 2012)
New Revision: 1769

Added:
   pkg/lme4.0/00_chng_2_lme4
Log:
script to build "old lme4" from lme4.0

Added: pkg/lme4.0/00_chng_2_lme4
===================================================================
--- pkg/lme4.0/00_chng_2_lme4	                        (rev 0)
+++ pkg/lme4.0/00_chng_2_lme4	2012-06-21 19:35:21 UTC (rev 1769)
@@ -0,0 +1,31 @@
+#!/bin/sh
+#
+pkg=lme4.0
+npkg=lme4
+#
+GREP=/bin/grep
+#
+cd `dirname $0`/..
+if [ ! -d $pkg ]
+then
+    echo "'$pkg' is not a subdirectory of `pwd` --- exiting"
+    exit 1
+fi
+EXCL='--exclude=.svn --exclude=CVS --exclude=auto --exclude=*.txt'
+tar cfh - $EXCL --exclude='*~' --exclude='00.*' $pkg \
+ | (cd /tmp ; rm -rf T$pkg; mkdir T$pkg; cd T$pkg; tar xf - )
+DD=/tmp/T$pkg; test -d $DD || (echo '** '"$DD"' is not a valid directory'; exit 2)
+cd $DD
+ls -l $pkg
+cd $pkg
+## Remove the  "lme4 -> lme4.0" function:
+rm -f R/oldconv.R man/convert_old_lme4.Rd
+sed -i.bak -e '/convert_old_lme4/d' NAMESPACE
+# List of files that need to be "patched":
+flist=`$GREP -r --no-messages -l "$pkg" . | $GREP -Fvw .svn | $GREP -vE '[-+#~0-9]$'`
+perl -pi.bak -e "s/$pkg/$npkg/g" $flist
+cd ..
+## now in /tmp :
+mv $pkg $npkg
+R CMD build $npkg
+ls -ld `pwd`/${npkg}*


Property changes on: pkg/lme4.0/00_chng_2_lme4
___________________________________________________________________
Added: svn:executable
   + *



More information about the Lme4-commits mailing list